#include "Types.r"
#include "SysTypes.r"

//
//	For Non-OpenDoc Processes
//

//	The 'mlti' resource currently has no important data in it. Just the
//	existence of it means the guide file is a multi guide file for non-OpenDoc processes. 
//	For future compatibility, though, a 'mlti' resource should be four bytes of zeros.

type 'mlti' 
	{
	longint = 0;
	};

//	The 'apsg' resource is a long integer specifying the number of application
//	signatures follwed by those signatures.

type 'apsg'
	{
	longint = $$Countof(SigArray);
	array SigArray
		{
		literal longint;
		};
	};
	
//
//	For OpenDoc Processes
//

//	The 'prts' resource is a short integer specifying the number of part
//	names followed by a list of the part names - just like an 'STR#' resource.
//	

type 'prts' as 'STR#'; 

// Here are some sample resources

resource 'mlti' (1000) 
	{
	};
	
resource 'apsg' (1000)
	{{
	'ttxt','MSWD'
	}};
	
resource 'prts' (1000)
	{{
	"Test Clock 1.0",
	}};
	
	
