# Copyright 1994 Apple Computer, Inc.
# Author: John Powers
# Date:   05-Mar-94
#
#------------------------------------------------------------------------------
#
#	APISample.make
#
# Build APISample
# Set CPlusScratch "PH425:Scratch:"
# Export CPlusScratch
# Directory "HelpPAK:APISample:"
# BuildProgram APISample
# 
#
#	Change History (most recent first):
#
#	24-Feb-94 JRP	First release with APISample 1.0
#
#
#------------------------------------------------------------------------------

Make			=	APISample.make

AGFilePath		=	:AGFile:

SrcPath			=	:Source:

LocalHeaders	=								
					UAppShared.h				
					{SrcPath}UApp.h				
					{SrcPath}UDoc.h				
					{SrcPath}UAppMo.h			
					{SrcPath}UDocMo.h			

BasePath		=	:TApplication:

DistantHeaders	=								
					{BasePath}TApplication.h  	
					:TDocument:TDocument.h


LocalSources	=								
					{SrcPath}UApp.cp			
					{SrcPath}UDoc.cp			
					{SrcPath}UAppMo.cp			
					{SrcPath}UDocMo.h			

ResPath			=	:Resources:

RezSource		=	{ResPath}UApp.r

RezIncludes		=						
					{ResPath}Picts.rsrc			
					{ResPath}AboutDLOG.rsrc		
					{ResPath}AutoStartALRT.rsrc	
					{ResPath}DBInfoDLOG.rsrc		
					{ResPath}AlertIfError.rsrc	
					{ResPath}OpenDLOG.rsrc

ObjPath			=	:Objects:

Objects			=	{ObjPath}UApp.cp.o		
					{ObjPath}UDoc.cp.o		
					{ObjPath}UAppMo.cp.o	
					{ObjPath}UDocMo.cp.o

Library			=									
					{AGFilePath}AGFileLib			
					:TApplication:TApplication.o	
					:TDocument:TDocument.o

Application		=	APISample

Creator			=	MoG1

# turn on/off symbols
SymOpts = -sym on

# C++ options
CPlusOptions = -r -mf  -mbg on {SymOpts} -o {ObjPath} -i {AGFilePath} -i {BasePath}

{ObjPath}UApp.cp.o 	{Make}				
						{LocalHeaders}		
						{DistantHeaders}	
						{SrcPath}UApp.cp
	 						CPlus  {SrcPath}UApp.cp {CPlusLoad} {CPlusOptions}

{ObjPath}UDoc.cp.o 	{Make}				
						{LocalHeaders}		
						{DistantHeaders}	
						{SrcPath}UDoc.cp
	 						CPlus  {SrcPath}UDoc.cp {CPlusLoad} {CPlusOptions}

{ObjPath}UAppMo.cp.o 	{Make}				
						{LocalHeaders}		
						{DistantHeaders}	
						{SrcPath}UAppMo.cp
	 						CPlus  {SrcPath}UAppMo.cp {CPlusLoad} {CPlusOptions}

{ObjPath}UDocMo.cp.o 	{Make}				
						{LocalHeaders}		
						{DistantHeaders}	
						{SrcPath}UDocMo.cp
	 						CPlus  {SrcPath}UDocMo.cp {CPlusLoad} {CPlusOptions}

# Create the target applicaton
{Application}  {Make} {Objects} {Library}
	Link	-d							
			{SymOpts}					
			{Library}					
			{Objects}					
			"{CLibraries}"CplusLib.o	
			"{CLibraries}"StdCLib.o		
			"{Libraries}"Runtime.o		
			"{Libraries}"Interface.o	
			-o {Application}

# Include the resources
{Application}  {Make} {LocalHeaders} {DistantHeaders} {RezSource} {RezIncludes}
	Rez -append -o {Application} {RezSource} 
	SetFile -c {Creator} -t APPL {Application}


