// Copyright 1994 Apple Computer, Inc.
// Author: John Powers
// Date:   13-Mar-94

// UAppShared.h
// Contains constants shared among OurApp.cp and OurApp.r.

#ifndef __UAPPSHARED__
#define __UAPPSHARED__				// #endif __UAPPSHARED__ is at end of this file

/*

	History (most recent first):
	
	25-Jul-94 1.0d3e1 JRP	Version update from 1.0d2e1.
	09-Jun-94 1.0d2e1 JRP	Version update from 1.0d1e5.
	24-Feb-94 1.0d1e1 JRP	Derived from MoHelp 1.0d3e2.
	
*/

		// Version information

#define kVersionNumber  "1.0d3e1"
#define kAppRelease		3
#define kVersionDate	"25-Jul-94"

#define	kVersionBytes		0x01, 0x00, development, 0x03, verUs
#define	kProgramName		"MoGuide"
#define kCopyright			"1994 Apple Computer Inc., All Rights Reserved."
#define kCreator			'MoG1'

		// Flags
			// __WantMoGuide__ is normally 1.
			// If you set __WantMoGuide__ to 0, you'll get an application
			// that can open and close Apple Guide databases, but that's all.
#define __WantMoGuide__		1
			// __DebugShuffle__ is normally 0 and probably should be forever.
#define __DebugShuffle__	0

		// Select file dialog

#define rSelectFileDlog		128
#define kSelectFileCancel	-1

		// About dialog

#define rAboutDlog			130
#define iAboutOk			1
#define iAboutTitle			2

		// Auto-Start alerts

#define rAutoStartNeedAlrt		131
#define rAutoStartUnknownAlrt	132

		// Menus

#define rMenuBar			130			// MBAR for TApp
#define rMenuBarMo			131			// MBAR for TAppMo

#define mApple				132			// MENU
#define iAbout				1
#define mFile				133			// MENU
#define iOpenFile			1
#define iCloseFile			2
#define iGetInfo			3
#define	iDashedLine1		4
#define iQuit				5
#define mEdit				134			// MENU
#define iUndo				1
#define	iDashedLine2		2
#define iCut				3
#define	iCopy				4
#define iPaste				5
#define iClear				6
#define	iDashedLine3		7
#define	iShowClipboard		8
#define mMoGuide			136			// MENU
#define iStartGuide			1
#define iQuitGuide			2
#define	iOpenDefault		3
#define iClose				4
#define iDashedLine4		5
#define iFiles				6
#define iLastMenuItem		6
#define mWindow				137			// MENU
#define iWinArt				1
#define iResetArt			2
#define iShuffleArt			3
#define iDashedLine5		4
#define iFeedback			5
#define iContextTrue		6
#define iContextBeep		7

		// Error codes

#define kErrNoAppObject			-2001
#define kErrNoScrapObject		-2002
#define kErrNoMenuBar			-2003
#define kErrNoAutoStartObj		-2004
#define kErrDocArtInitFailed	-2005
#define kErrDocFBInitFailed		-2006
#define kErrLockPixelsFailed	-2007
#define kErrNoContextObject		-2008

		// Strings

#define kUserStrId			1000
#define kStrNotSevenOh		1

#define kFeedbackStrId		1001
#define kStrContext			1
#define kStrCoach			2
#define	kStrEvent			3
#define kStrMisc			4

#define kFrontWindowStrId	1002
#define kStrNone			1
#define kStrNoneSleeping	2
#define kStrAccess			3
#define kStrPresentation	4

		// Controls

#define kAssistantCntlID	1000

		// Art object list resource (ID=kArt1WindResID)

#define kResArtObjects		'AOBJ'
#define kResArtObjectsLabel	"AOBJ"

		// Auto-start resource

#define kResAutoStart		'AUTO'
#define kResAutoStartLabel	"AUTO"
#define kAutoNone			0
#define kAutoFile			1
#define kAutoSelf			2

		// Window and art object list id's.
		// The window and art are linked together by
		// having the same id number.

#define kArt1WindResID		1001
#define kClipboardWinResID	2001
#define kFeedbackWinResID	2002

#endif __UAPPSHARED__