//	Copyright:	 1993 Apple Computer, Inc. All rights reserved.
//	Author:		Scott Searle (original)
//				Victor J. Hnyp (extensions)
//	Date:		18-Mar-93

// Revisions
//
//	05/01/94	JJ	2.06	Add Str255 parameter to fileSharing struct, used instaed of hardcoded filename
//
//	03/18/93	VJH	2.05	Compensated for unused StringSpec in isGestalt check
//
//	03/11/93	VJH	2.04	Reimplemented isVideoHWBitDepth the way it was originally designed
//
//	02/08/93	VJH	2.03	Fixed:	DoGestaltCheck, DoNameCheck, DoHWBitDepthCheck and DoNumMonitorsCheck
//
//	01/18/93	VJH	2.02	Fixed:	Gestalt and menu checks

#ifndef __SYSTEM__
#define __SYSTEM__

#ifndef __UTILITY__
#include "Utility.h"
#endif


typedef struct
{
	MenuHandle			menuHdl;
	short				menuLeft;
} MenuRec, *MenuRecPtr, **MenuRecHdl;

typedef struct
{
	short				lastMenu;
	short				lastRight;
	short				mbResID;
	char				startMenuRecList;
} MenuListRec, *MenuListRecPtr, **MenuListRecHdl;



//	This defines the MenuItemExists, MenuItemEnabled, MenuItemDisabled, and MenuItemMarked Contexts
typedef struct
{
	long				mSelector;					// System Selector
	long				filler1;					// not used
	StringSpec			menuTitle;					// Title
	StringSpec			menuItem;					// Item
} MenuIsAvailable, *MenuIsAvailablePtr;

//	This defines the GestaltCheck Context
typedef struct
{
	long				filler1;					// System Selector
	long				gestaltSelector;
	long				compareSelector;
	short				filler2;					// Blank StringSpec area
	long				value;
} GestaltState, *GestaltStatePtr;

//	This defines the MonitorBitDepth, VideoHWBitDepth, and NumMonitors Context checks
typedef struct
{
	long				filler1;					// System Selector
	long				compareSelector;
	long				compareValue;
} BitDepthState, *BitDepthStatePtr;

//	This defines the isFileSharing, isGuestAccess Context
typedef struct
{
	long				filler1;					// System Selector
	long				compareValue;
	Str255				filename;					//	Used to locate the "Users & Groups Data File"
} FileSharing, *FileSharingPtr;

//	This defines the isComputerNamed Context
typedef struct
{
	long			filler1;						// System Selector
	long			filler2;						// Not used
	StringSpec		computerName;					// Compare selector and value
} ComputerNameInfo, *ComputerNameInfoPtr;

#endif
