// Copyright 1993 Apple Computer, Inc. All rights reserved.
// Author: John R. Powers, III and Matt Powers
// Date:    24-May-93

/***********************************************************************

14-Jan-92	changed MOOF to MOOT (CPlusShapesApp)
15-Jan-92	eliminate some topics
20-Jan-02	moved TMPL resources into RenoDataTMPL.r file
05-Feb-92	added kIndexScope
			revised kAreasScope to include topic DBRef/Id
			added more kTopicScope and kResTopic
08-Feb-92	add kResContext
12-Feb-92	place data files including this one in their own folder.
			add kResConditionSkip
02-Mar-92	add kSkipIf and kShowIf
			add kResMakeSure, kResEvent
20-Mar-92	change topic script parameter from string to integer
24-Mar-92	add kResHot
30-Mar-92	add kResOptBtn
			add kResTopic 3010 with kHuhTopic 3011
01-Apr-92	add kResCoachMark
13-Apr-92	remove sequence number field from kTopicScope user data.
			add slider data for optional wide slider.
			remove kResStartup.
14-Apr-92	add fields to kResStartupScope
20-Apr-92	add kResFormat
22-Apr-92	phase two database
			revise vers resources
			add kResHeader and kResTopicL
			revise kTopicScope, kAreasScope, kIndexScope.
			use simplified data set (with an include).
			add #define for formats
			moved slider data to Reno.r
27-Apr-92	added kResPrompt defaults.
06-May-92	use "Content.r" for the content
			add kAppRelease for the vers "Non-final release" byte
			move AccWin STR# prompts to Reno.r
24-May-92	add quietRenoStat startup item
27-May-92	moved RenoResources.h to this folder.
			make 'vers' resources into a default.
12-Jun-92	add kResPreWinBtn for kHuhBtnId.
28-Jun-92	add kResEvent for kHuhBtnEventId.
			add resource names.
13-Jul-92	add kPreFormatScroll format
15-Jul-92	add message target to kStartupScope (acSU)
30-Jul-92	set default message target to RenoStat2 (RenoStatII).
31-Jul-92	change RenoResources.h to RenoData.h.
14-Oct-92	1.0a6	revisions to kStartupScope resource.
28-Jan-93	Following formatting changes:
			 1. Follow every pstring with an align word to insure
			 	a resource with an even number of bytes.
			 2. kResFormat: remove field #2, the integer font ID number,
			 	add a pstring for the font name as the last field.
			 3. (No change to kStartupScope.)
				Move kAppMinSeqNum from the kDataVersionBytes
				used in the database 'vers' resources
				to the seq.no. field of the kResVersionInfo resource.
			 4. kResTopic: add reserved fields.
			 5. kResTopic: replace the topic title pstring with a TEXT ID number.
			 6.	kResTopic: add a maximum panel height field.
			 7.	Add kResVersionInfo resource.
			 8.	kResCoachMark and kResEvent: Add Finder and TeachText as target labels.
			 9.	Replace Howdy STR# with TEXT resource (ID=1003 and 1004).
			10. Correct the RenoButton location offset (Radar #1043437.)
			11.	Update all templates (TMPL).
24-Feb-93	Added Go Start Button Event and Button Definition Resources. Added __BUTTONS__
			ifndef. Put huh and go start button graphics in Buttons.rsrc, not in extension.
25-Feb-93	Don't include Buttons.rsrc's ckid resource when rezzing this file!
01-Mar-93	Added GoStart and Huh button balloon text 'STR ' resources. 
24-May-93 1.0b3 JRP "Type Here" removed from Look-For string. Radar #1085265.
08-May-94 1.2b13e1 JRP	Change kCopyright and kProgramName
						to kDataCopyright and kDataProgramName
						to avoid label conflicts in the 'vers' resource.
						Replace RenoStat as message target with Nevada.
14-May-94 1.2b15e1 PVC	Add YOMI autosort bit to startupprefs resource.

***********************************************************************/

// Resource data used by Reno

#ifndef __TYPES.R__
	#include "Types.r"
#endif

#ifndef __SYSTYPES.R__
	#include "SysTypes.r"			// Needed for version resource
#endif

#ifndef __RENODATA__
	#include "RenoData.h"			// Common with .r files
#endif

#ifndef __RENODATATYPES__
	#include "RenoDataTypes.r"		// Reno's own data types
#endif

#ifndef __RENODATATMPL__
	#include "RenoDataTMPL.r"		// TMPLs for RenoData.r
#endif

//	-----------------------------------------------------------------------
//	Here's the rest of the data

#include "Content.r"

//	-----------------------------------------------------------------------
//	Reno's database version information (required).
//	The contents of this resource are defined in RenoData.h.
//	This resource is contained both in Reno and the database.
//	In RenoTheApp, the kAppMinSeqNum is replaced by the kAppSeqNum.
//	05-Feb-93 1.0a14 JRP	New.

resource kResVersionInfo (kVersionInfoDataID,
							"Apple Guide Database Version Info",
							Purgeable)	{
	kAppMinSeqNum,
	kAppMinVersionString,
	$$Date,
	$$Time,
};

//	-----------------------------------------------------------------------
//	Version resource (required)

#ifndef __VERS__

		// If the version was not defined in the data,
		// the default will be set here.

resource 'vers' (1, "Apple Guide Data", purgeable) {		// document
	kDataVersionBytes,
	kDataVersionString,
	"Apple Guide Data "kDataVersionString " " kDataVersionDate
	"\n"kDataCopyright
};

resource 'vers' (2, kProgramName, purgeable) {		// program
	kDataVersionBytes,
	kDataProgramName " " kAppMinVersionString,
	kDataProgramName " " kAppMinVersionString
};

#endif __VERS__

//	-----------------------------------------------------------------------
// Application LOGO (optional)
// If you have both color and black&white logos,
// use ID=kAppLogoId for color, ID=kAppLogoId+1 for B&W.
// If you have only one logo, color or B&W, use ID=kAppLogoId.
// The ID must also match the "application text STR id" in
// the kResAccWinLayout resource.
//	The default location for the kResAccWinLayout resource is Reno.r,
//	but it can be overridden in the data file.

#ifndef __APPLOGO__

include "ArtApp.rsrc";

#endif __APPLOGO__

//	-----------------------------------------------------------------------
//	Application Title (optional)
//	The ID of this resource is kAppTextId.
//	The ID of this resource must also match the
//	"application text STR id" in the kResAccWinLayout resource.
//	The default location for the kResAccWinLayout resource is Reno.r,
//	but the resource can be overridden in the data file.
//	07-Dec-92 1.0a8 JRP	Removed content ("Finder"), default to empty string.

#ifndef __APPTITLE__

resource 'STR ' (kAppTextId, "Default App text", purgeable) {
	""
};

#endif __APPTITLE__

//	-----------------------------------------------------------------------
//	Startup preferences (required)

#ifndef __STARTUP__

		// If the startup was not defined in the data,
		// the defaults will be set here.

			// Desired startup preferences.
			// 24-May-93 1.0b3 JRP "Type Here" removed from Look-For string.

resource kStartupScope (kStartPrefsID, "Startup prefs", purgeable) {
	0,					// AccWin (0) or PreWin (topic id number)
	kHowdyV,			// Startup view if AccWin, see RenoData.h for values.
	0,					
	0,0,0,0,0,0,0,
	autosortOn,			// Index sorts normally (alphabetically, not YOMI)
	0,					// 0=open PreWin at lower-left, 1=center.
	0,					// 0=send messages, 1=be quiet.
	0,					// Reserved for future use.
	Nevada,				// Target signature for messages
	""					// Look-For string (default to empty)
};

#endif __STARTUP__

//	-----------------------------------------------------------------------
//	Text format resources (required)

#ifndef __FORMATS__

		// If the formats were not defined previously,
		// the defaults will be set here.

	resource kResFormat (kPreFormatFull, "Full format", purgeable) {
		teFlushDefault,	// system default
		normal,			// normal face.
		10,				// size
		6,				// top
		11,				// left
		30000,			// bottom (use 30000, Reno will adjust)
		330,			// right
		"Espy Serif"	// Font name
	};
	
	resource kResFormat (kPreFormatTag, "Tag format", purgeable) {
		teFlushRight,	// flush right
		normal,			// normal face, font is bold
		10,				// size
		6,				// top
		0,				// left
		30000,			// bottom (use 30000, Reno will adjust)
		54,				// right
		"Espy Sans Bold"	// Font name
	};
	
	resource kResFormat (kPreFormatBody, "Body format", purgeable) {
		teFlushDefault,	// system default
		normal,			// normal face
		10,				// size
		6,				// top
		65,				// left
		30000,			// bottom (use 30000, Reno will adjust)
		330,			// right
		"Espy Serif"	// Font name
	};
					// full vertical, left-side
	resource kResFormat (kPreFormatCustom, "Custom format", purgeable) {
		teFlushDefault,	// system default
		normal,			// normal face
		10,				// size
		6,				// top
		11,				// left
		30000,			// bottom (use 30000, Reno will adjust)
		170,			// right
		"Espy Serif"	// Font name
	};

	resource kResFormat (kPreFormatScroll, "Scroll format", purgeable) {
		teFlushDefault,	// system default
		normal,			// normal face
		9,				// size (9/13)
		12,				// top
		20,				// left
		142,			// bottom (must use desired value)
		325,			// right
		"Espy Sans"		// Font name
	};

#endif __FORMATS__

//	-----------------------------------------------------------------------
//	Panel prompt resources (required if any panel prompts)

#ifndef __PANEL_PROMPTS__

		// If the prompts were not defined previously,
		// the defaults will be set here.  These defaults
		// are from the Reno HID.  To use them, reference
		// resource id #130 for the prompt object.  The
		// following is an example:
		//
		//		resource kResPanel (1008, Purgeable) {
		//			{
		//				kResSTxt, 3001;			// text
		//				kResSTxt, 3002;			// text
		//				kResPrompt, 130;		// Prompt
		//			};
		//		};
		//
		// Since kResPrompt #130 is included automatically,
		// you do not need to include it in your own data.


resource kResPrompt (130, "Panel prompts", purgeable) {
	131,	// First prompt
	132,	// Second prompt
	133,	// Third prompt
	134,	// Fourth prompt
};

resource 'TEXT' (131, Purgeable) {
	"To begin, click the right arrow."
};

resource 'TEXT' (132, Purgeable) {
	"Do this step, then click the right arrow."
};

resource 'TEXT' (133, Purgeable) {
	"Do this step, then you're finished."
};

resource 'TEXT' (134, Purgeable) {
	"After making your choices, click the right arrow."
};

#endif __PANEL_PROMPTS__

#ifndef __BUTTONS__

//	-----------------------------------------------------------------------
// Huh? button definition

		// When the topic script indicates a Huh? button
		// for one of the optional PreWin buttons, this
		// resource is used to define it.  In fact, the
		// kHuhBtnId is what is used in the topic script
		// to indicate a Huh? button.  We include a kResEvent
		// for the Huh? button to define it's action.  To
		// redefine its action, modify the kResEvent.

resource kResEvent (kHuhBtnEventId, "Huh? action", purgeable)
{
	self,				// target
	'help',				// class
	'dhuh',				// event id
	none,				// optional data, key='IOPT", not used.
	none,				// optional key not used.
	none,				// optional data not used (string).
};

resource kResPreWinBtn (kHuhBtnId, "Huh? button", purgeable)
{
	101,				// off-up
	111,				// on-down
	121,				// dimmed
	kHuhBtnEventId,		// Apple event
	moveable,			
	kHuhBtnId			// 'STR ' ID of balloon text, since button is moveable
};

resource 'STR ' ( kHuhBtnId, "Huh? Btn Ballon Text", purgeable)
{
	"Click here if you're confused about what's on this panel."
};
	
//	-----------------------------------------------------------------------
// Go Start button definition

		// Just Like for the huh button, this button goes
		// back to the access window

resource kResEvent (kGoStartBtnEventId, "Go Start Action", purgeable)
{
	self,				// target
	'help',				// class
	'stac',				// event id
	none,				// optional data, key='IOPT", not used.
	none,				// optional key not used.
	none,				// optional data not used (string).
};

resource kResPreWinBtn (kGoStartBtnId, "Go Start Button", purgeable)
{
	103,				// off-up
	113,				// on-down
	123,				// dimmed
	kGoStartBtnEventId,	// Apple event
	moveable,
	kGoStartBtnId		// 'STR ' ID of balloon text, since button is moveable
};

// 09-Mar-93 1.0a16 JRP	Revise balloon wording per Melissa.
resource 'STR ' ( kGoStartBtnId, "Go Start Btn Ballon Text", purgeable)
{
	"Click here to restart this session."
};

// Huh and Go Start Button Graphics

include "Buttons.rsrc" not 'ckid';

#endif __BUTTONS__
