// Copyright 1992 Apple Computer, Inc. All rights reserved.
// Author: John R. Powers, III
// Date:    20-Oct-92

/***********************************************************************

	--- Introduction ---

	This file, RenoDataMore.r, contains header information that must
	be included at the beginning of content files Rez-ed after RenoData.r.
	Any override of the default resources must be done
	in RenoData.r.  The default resources in RenoData.r are:

		Flag __VERS__
			'vers'
		Flag __APPLOGO__
			include of "ArtApp.rsrc"
		Flag __APPTITLE__
			'STR ', ID=kAppTextId for application title
		Flag __STARTUP__
			kStartupScope, ID=kStartPrefID
		Flag __FORMATS__
			kResFormat for the following ID's
				kPreFormatFull
				kPreFormatTag
				kPreFormatBody
				kPreFormatCustom
				kPreFormatScroll
		Flag __PANEL_PROMPTS__
			kResPrompt, ID=130
			'TEXT', ID=131
			'TEXT', ID=132
			'TEXT', ID=133
			'TEXT', ID=134
		No flag (always included)
			kResEvent, ID=kHuhBtnEventId
			kResPreWinBtn, ID=kHuhBtnId
	

	--- Usage ---

	First compile your regular RenoData.r with its content.
	Identify the output of that compilation with a .rsrc
	file suffix.  If you have any overrides of the
	defaults, they must be done in this compilation.
	The Rez command should look like the following:
	
		Rez RenoData.r -o Content.rsrc -c reno -t help
	
	For each additional content file, include the following
	statement at the beginning of the file:

		#include "RenoDataMore.r"
	
	The Rez commands to compile each additional content file
	is as follows:
	
		Rez MoreContent1.r -o MoreContent1.rsrc -c reno -t help
		Rez MoreContent2.r -o MoreContent2.rsrc -c reno -t help
		Rez MoreContent3.r -o MoreContent3.rsrc -c reno -t help


	--- Revision History ---
	
	20-Jan-92	New, adapted from RenoData.r.
				
***********************************************************************/

// Resource data used by Reno

#ifndef __TYPES.R__
	#include "Types.r"
#endif

#ifndef __SYSTYPES.R__
	#include "SysTypes.r"
#endif

#ifndef __RENODATA__
	#include "RenoData.h"			// Reno's data constants
#endif

#ifndef __RENODATATYPES__
	#include "RenoDataTypes.r"		// Reno's data types
#endif

