// Copyright 1993 Apple Computer, Inc. All rights reserved.
// Author: John R. Powers, III and Matt Powers
// Date:    12-Apr-93

/*************************************************************************

20-Jan-02	moved TMPL resources from RenoData.r file.
26-Jan-92	updated with Universal Panel objects.
04-Feb-92	added Coach's hBnd and chlk templates.
05-Feb-92	added kIndexScope
17-Feb-92	set default control items to window font, not system font.
28-Feb-92	add kResEventLabel and kResMakeSureLabel
20-Mar-92	change kResTopic string parameter to integer
24-Mar-92	add kResHot
30-Mar-92	add kResOptBtn
13-Apr-92	add bringTargetToFront field in kStartupScope
14-Apr-92	add fields to kResStartupScope
17-Apr-92	add Button id field to kResTopic
20-Apr-92	add kResFormat
24-Apr-92	remove kTopicScopeLabel
			revise kAreasScopeLabel and kIndexScopeLabel
			add kResHeaderScopeLabel and kResTopicLLabel
			remove kResCCnumLabel, kResCCnameLabel, and kResCCrenameLabel
04-May-92	add kRenoMondoLabel
08-May-92	remove kRenoMondoLabel
			fix labeling bug in kResCtrlItemLabel
			revise kResTopicLabel
12-May-92	add kResCoachMarkLabel
			remove kResHeaderLabel
22-May-92	add kResContextLabel
24-May-92	add quietRenoStat to startup
11-Jun-92	revise kStartupScope, kResTopic, and kResCondition
			add kResRenoBtn and kResPreWinBtn
24-Jun-92	add balloon string index to kResRenoBtn and kResPreWinBtn
			add optional key and optional string to kResEvent.
15-Jul-92	add message target to kStartupScope (acSU)
24-Jul-92	add target to kResContext.
09-Oct-92	added new RenoDB resource types.
			change "moveable" to "align" in kResPreWinBtn.
			fix pxCA and acSU field labels to keep AppleGlot happy.
			relabeled pfFA field from Font ID to FOND ID.
			change 'TMPL' definition from string(4) to literal longint.
29-Jan-93	Add kVersionInfoLabel.
			Update templates (see comments in RenoDataTypes.r.)
08-Feb-93	Make all template resources purgeable.
24-Feb-93	Added Go Start Button (GSB) to acPT TMPL button text.
12-Apr-93	Add invisible bit to kResKeyDumpLabel.
15-Apr-93	Added the filler word and the invisible word to kAreaScope
			and kIndexScope templates.
24-May-93	Added the template for data handler mapping resources

05-Oct-93 1.1d1e10 
<2.09> JRP	Add kResSTxtJustLabel.
			Add DBScript and DBRegion to TMPL 1021 (kDataHeaderTypeLabel)
22-Oct-93 1.1d2 	<2.10> PVC	kResSTxtJustLabel -> kResSTxtAlignLabel
14-May-94 1.2b15e1 	<3.01> PVC	Add YOMI autosort bit to startupprefs resource.
04-Jun-94 1.2b17e2 	<3.02> PVC	Remove extra 'chlk' TMPL resource.

*************************************************************************/

#ifndef __RENODATATMPL__
#define __RENODATATMPL__

		// ResEdit Template

type 'TMPL' {
	array fieldArray {
		pstring;
		literal longint;
	};
};

resource 'TMPL' (128, kSliderScopeLabel, purgeable) {
	{
		"No. markers", 'OCNT',
		"*****", 'LSTC',
			"Marker loc.", 'DWRD',
			"Type select", 'PSTR',
		"*****", 'LSTE'
	}
};

// 129 is not used.

resource 'TMPL' (130, kAreasScopeLabel, purgeable) {
	{
		"No.Keys", 'OCNT',
		"*****", 'LSTC',
			"Topic key", 'PSTR',
			"",	'AWRD',
			"Filler", 'DWRD',
			"No.topics", 'OCNT',
			"*****", 'LSTC',
			"Header Id", 'DBYT',
			"Topic rank", 'DBYT',
			"TopicL Id", 'DWRD',
			"(reserved)", 'DBYT',
			"(reserved)", 'DBYT',
			"*****", 'LSTE',
		"*****", 'LSTE'
	}
};

resource 'TMPL' (131, kStartupScopeLabel, purgeable) {
	{
						//		AccWin (0) or PreWin topic id
		"0=AccWin \nor PreWin Id", 'DWRD',
						//		Startup view
		"If AccWin,\nStartup view", 'DWRD',
						//		Reserved for future use.
		"reserved1", 'HBYT',
		"reserved", 'BBIT',
		"reserved", 'BBIT',
		"reserved", 'BBIT',
		"reserved", 'BBIT',
		"reserved", 'BBIT',
		"reserved", 'BBIT',
		"reserved", 'BBIT',
		"Disable Autosort (YOMI)", 'BBIT',
						//		0=open PreWin at lower-left, 1=center.
		"0=lower-left \n1=center", 'DWRD',
						//		1=quietRenoStat, 0=normal
		"0=send msgs \n1=no msgs", 'DWRD',
						//		Reserved for future use.
		"reserved", 'DWRD',
						//		Target signature for messages
		"Msg target", 'TNAM',
						//		The Look For prefs
		"LookFor String", 'PSTR',
		"",	'AWRD'
	}
};

resource 'TMPL' (132, kIndexScopeLabel, purgeable) {
	{
		"No.Keys", 'OCNT',
		"*****", 'LSTC',
			"Topic key", 'PSTR',
			"",	'AWRD',
			"Invisible", 'DWRD',
			"No.Topics", 'OCNT',
			"*****", 'LSTC',
				"Header index", 'DBYT',
				"Topic rank", 'DBYT',
				"TopicL Id", 'DWRD',
				"(reserved)", 'DBYT',
				"(reserved)", 'DBYT',
			"*****", 'LSTE',
		"*****", 'LSTE'
	}
};

// resource 'TMPL' (133, kResHeaderLabel, purgeable) removed - 1.0d1e23.

		// ResEdit template for TopicL resource

resource 'TMPL' (134, kResTopicLLabel, purgeable) {
	{
		"acPT Id", 'DWRD',
		"Text", 'PSTR';
		"",	'AWRD';
	}
};

		// ResEdit templates for CC data

resource 'TMPL' (135, "hBnd", purgeable) {
	{
		"Help version", 'DWRD';
		"Bundle type", 'TNAM';
		"ID of type", 'DWRD';
		"Index number", 'DWRD';
	}
};

resource 'TMPL' (137, kResCoachMarkLabel, purgeable) {
	{
		"Target", 'TNAM';
		"Command", 'TNAM';
		"No. of keys", 'OCNT';
		"*****", 'LSTC';
			"Key", 'TNAM';
			"Parameter", 'PSTR';
		"*****", 'LSTE'
	}
};

// resource 'TMPL' (3001, kResCCnumLabel, purgeable) removed - 1.0d1e21.

// resource 'TMPL' (3002, kResCCnameLabel, purgeable) removed - 1.0d1e21.

// resource 'TMPL' (3003, kResCCrenameLabel, purgeable) removed - 1.0d1e21.

		// ResEdit template for Topic "script" resource

resource 'TMPL' (1001, kResTopicLabel, purgeable) {
	{
		"Target", 'TNAM';
		"Button Id\n0=none\n-1=Default\n200=Huh?\n201=GSB", 'DWRD';
		"Button Id\n0=none\n-1=Default\n200=Huh?\n201=GSB", 'DWRD';
		"Button Id\n0=none\n-1=Default\n200=Huh?\n201=GSB", 'DWRD';
		"Min.height\n0=none", 'DWRD';
		"Max.height\n0=none", 'DWRD';
		"Title TEXT ID", 'DWRD';
		"reserved", 'DWRD';
		"reserved", 'DWRD';
		"reserved", 'DWRD';
		"Number of entries", 'OCNT';
		"*****", 'LSTC';
			"Entry type", 'TNAM';
			"Entry Id", 'DLNG';
		"*****", 'LSTE'
	}
};

		// ResEdit template for Universal Panel resource

resource 'TMPL' (1002, kResPanelUnivALabel, purgeable) {
	{
		"No.objects", 'OCNT';
		"*****", 'LSTC';
			"Object type", 'TNAM';
			"Object Id", 'DWRD';
		"*****", 'LSTE'
	}
};

					// ResEdit templates for Panel objects


		// ResEdit templates for Text item resources

resource 'TMPL' (1003, kResSTxtLabel, purgeable) {
	{
		"TEXT/styl Id", 'DWRD';
		"Top", 'DWRD';
		"Left", 'DWRD';
		"Bottom", 'DWRD';
		"Right", 'DWRD';
	}
};

		// ResEdit template for Graphic item resource

resource 'TMPL' (1004, kResGraphicLabel, purgeable) {
	{
		"PICT Id", 'DWRD';
		"Top", 'DWRD';
		"Left", 'DWRD';
	}
};

		// Movie item resource

resource 'TMPL' (1005, kResMovieLabel, purgeable) {
	{
		"Top", 'DWRD';
		"Left", 'DWRD';
		"File", 'PSTR';
		"", 'AWRD';
	}
};

		// Movie with Controller item resource

// resource 'TMPL' (1006, kResMovieCLabel, purgeable)	removed - 1.0a3

		// Ctrl item resource

resource 'TMPL' (1007, kResCtrlItemLabel, purgeable) {
	{
		"Type\n(PB=8,CB=9,\nRB=10)", 'DWRD';
		"0=active\n255=not", 'DWRD';
		"0=no check\n1=checked", 'DWRD';
		"Top", 'DWRD';
		"Left", 'DWRD';
		"Bottom", 'DWRD';
		"Right", 'DWRD';
		"Action Id", 'DWRD';
		"Title", 'PSTR';
		"", 'AWRD';
	}
};

		// Condition resource

resource 'TMPL' (1008, kResConditionLabel, purgeable) {
	{
		"Not?(0=N,1=Y)", 'DWRD';
		"1=Update\n0=Don't", 'DWRD';
		"Type", 'TNAM';
		"Id", 'DWRD';
		"Logic\n(None=0,\nOR=1,AND=2)", 'DWRD';
		"Not?(0=N,1=Y)", 'DWRD';
		"1=Update\n0=Don't", 'DWRD';
		"Type", 'TNAM';
		"Id", 'DWRD';
	}
};

		// Make-Sure resource

resource 'TMPL' (1009, kResMakeSureLabel, purgeable) {
	{
		"Condition Id", 'DWRD';
		"Oops Topic Id", 'DWRD';
	}
};

		// Prompt item resource

resource 'TMPL' (1010, kResPromptLabel, purgeable) {
	{
		"Beginning Id", 'DWRD';
		"Middle Id", 'DWRD';
		"End Id", 'DWRD';
		"Choice Id", 'DWRD';
	}
};

		// Apple Event

resource 'TMPL' (1011, kResEventLabel, purgeable) {
	{
		"Target", 'TNAM';
		"Class", 'TNAM';
		"Event Id", 'TNAM';
		"Opt.integer", 'DWRD';
		"Opt.key", 'TNAM';
		"Opt.data", 'PSTR';
		"", 'AWRD';
	}
};

		// Hot panel area

resource 'TMPL' (1012, kResHotLabel, purgeable) {
	{
		"Top", 'DWRD';
		"Left", 'DWRD';
		"Bottom", 'DWRD';
		"Right", 'DWRD';
		"Action Id", 'DWRD';
	}
};

// resource 'TMPL' (1013, kResOptBtnLabel, purgeable)  removed - 1.0d1e26

		// ResEdit template for format resource

resource 'TMPL' (1014, kResFormatLabel, purgeable) {
	{
		"Justify", 'DWRD';
		"Face", 'DWRD';
		"Size", 'DWRD';
		"Top", 'DWRD';
		"Left", 'DWRD';
		"Bottom", 'DWRD';
		"Right", 'DWRD';
		"Font name", 'PSTR';
		"", 'AWRD';
	}
};

		// ResEdit template for context resource

resource 'TMPL' (1015, kResContextLabel, purgeable) {
	{
		"Target", 'TNAM';
		"Test Id", 'TNAM';
		"Param A1", 'DLNG';
		"Param A2", 'DLNG';
		"Param B", 'DLNG';
		"Name B", 'PSTR';
		"", 'AWRD',
		"Param C", 'DLNG';
		"Name C", 'PSTR';
		"", 'AWRD',
	}
};

		// ResEdit template for Reno Button

resource 'TMPL' (1016, kResRenoBtnLabel, purgeable) {
	{
		"Must be 1", 'DWRD';
		"Off-up PICT", 'DWRD';
		"On-dn PICT", 'DWRD';
		"Must be 0", 'DWRD';
		"Action Id", 'DLNG';
		"Must be 1", 'DWRD';
		"Top", 'DWRD';
		"Left", 'DWRD';
		"Must be 0", 'DWRD';
		"Balloon indx", 'DWRD',
	}
};

		// ResEdit template for PreWin Button

resource 'TMPL' (1017, kResPreWinBtnLabel, purgeable) {
	{
		"Must be 1", 'DWRD';
		"Off-up PICT", 'DWRD';
		"On-dn PICT", 'DWRD';
		"Dimmed PICT", 'DWRD';
		"Action Id", 'DLNG';
		"Must be 1", 'DWRD';
		"Top", 'DWRD';
		"Left", 'DWRD';
		"0=fixed \n1=align", 'DWRD';
		"Balloon indx", 'DWRD',
	}
};

				// New RenoDB types added for 1.0a6.

resource 'TMPL' (1018, kResKeyDumpLabel, purgeable) {
	{
		"Res Type",		'TNAM';
		"Res ID",		'DWRD';
		"Unused",		'FBYT';
		"Unused 7",		'BBIT';
		"Unused 6",		'BBIT';
		"Unused 5",		'BBIT';
		"Unused 4",		'BBIT';
		"Invisible",	'BBIT';
		"Deleted",		'BBIT';
		"Locked",		'BBIT';
		"Make Unique",	'BBIT';
		"Key Scope",	'TNAM';
		"Key",			'PSTR';
	}
};

		// Template for the NEW kTopicResType

resource 'TMPL' (1019, kTopicResTypeLabel, purgeable)  {
	{
	"Question Specifier", 'TNAM';
	"Topic Area Text", 'PSTR';
	"", 'AWRD';
	}
};

resource 'TMPL' (1020, kQuestionResTypeLabel, purgeable)  {
	{
	"Unused",		'FBYT';
	"Unused 7",		'BBIT';
	"Unused 6",		'BBIT';
	"Unused 5",		'BBIT';
	"Unused 4",		'BBIT';
	"Unused 3",		'BBIT';
	"Unused 2",		'BBIT';
	"Collapsed",	'BBIT';
	"Header",		'BBIT';
	"Presentation Resource ID", 'DWRD';
	"Question Text", 'PSTR';
	"", 'AWRD';
	}
};

		// Data fork of new (1.0a6) database.
		// Used with Resourcerer 1.1.1

resource 'TMPL' (1021, kDataHeaderTypeLabel, purgeable) {
	{
		"majorRev",		'DWRD';
		"minorRev",		'DWRD';
		"usedPages",	'ULNG';
		"freePages",	'ULNG';
		"freeData",		'ULNG';
		"rootNode",		'ULNG';
		"keyLength",	'DWRD';
		"keysPerNode",	'DWRD';
		"freeNode",		'ULNG';
		"endNode",		'ULNG';
		"locked",		'DWRD';
		"leftmost",		'ULNG';
		"rightmost",	'ULNG';
		"dbType",		'DWRD';
		"isMixin",		'DBYT';
		"momSays",		'DBYT';
		"dBMenuName",	'P064';
		"selector1",	'TNAM';
		"value1",		'DLNG';
		"selector2",	'TNAM';
		"value2",		'DLNG';
		"selector3",	'TNAM';
		"value3",		'DLNG';
		"DBScript",		'DWRD';
		"DBRegion",		'DWRD';
	}
};

		// Database version information
		// Added 29-Jan-93
		// The database 'vers' resource has additional information.

resource 'TMPL' (1022, kResVersionInfoLabel, purgeable) {
	{
		"Oldest app seq num",	'DWRD';
		"Oldest app release",	'PSTR';
		"Compile date",			'PSTR';
		"Compile time",			'PSTR';
		"", 'AWRD';
	}
};
		
		// ResEdit template for Reno Button

resource 'TMPL' (1023, kHandlerMapResTypeLabel, purgeable) {
	{
		"No. Types to map", 'OCNT';
		"*****", 'LSTC';
			"Data Type", 'TNAM';
			"Handler Type", 'TNAM';
		"*****", 'LSTE'
	}
};

		// ResEdit template for general text with justification.
		
resource 'TMPL' (1024, kResSTxtAlignLabel, purgeable) {
	{
		"TEXT/styl Id", 'DWRD';
		"Top", 'DWRD';
		"Left", 'DWRD';
		"Bottom", 'DWRD';
		"Right", 'DWRD';
		"Justify", 'DWRD';
	}
};


#endif __RENODATATMPL__
