// Copyright 1993 Apple Computer, Inc. All rights reserved.
// Author: John R. Powers, III and Matt Powers
// Date:    12-Apr-93

/***********************************************************************

17-Jan-92	Removed kResPanelChoice, kResPanelTag.
			added universal panel object types.
04-Feb-92	added Coach's hBnd and chlk templates.
05-Feb-92	added kIndexScope
07-Feb-92	added kResContext with Gestalt and Window
15-Feb-92	added Application to kResContext
17-Feb-92	set default control item font to window font, not system font.
			add selector for control item in system font.
28-Feb-92	add kResEvent and kResMakeSure
			add action to kResCtrlItem
13-Mar-92	add kNot to kResCondition
16-Mar-92	add useQueueReply to kStartupScope
20-Mar-92	change kResTopic string parameter to integer
			add "not" to kNot on kResCondition
24-Mar-92	add kResHot
29-Mar-92	add kResOptBtn
31-Mar-92	add kResCoachMark
13-Apr-92	make sequence number field in kTopicScope always zero.
			remove kResStartup
			add bringTargetToFront and other fields to kStartupScope.
20-Apr-92	add kResFormat
			add TEXT type
22-Apr-92	add kHeaderScope, revise kTopicScope, kAreasScope, kIndexScope.
			change kResTopic fields from integer to longint.
			remove kResCCnum, kResCCname, kResCCrename
			move 'TMPL' definition to RenoDataTMPL.r file.
04-May-92	add kRenoMondo, revise kAreasScope, kIndexScope
08-May-92	remove kRenoMondo, revise kAreasScope, kIndexScope
12-May-92	remove kResHeader (use STR# instead).
			revise kResCoachMark resource format
24-May-92	revise kResContext
			add quietRenoStat startup item
			remove kResOptBtn
28-May-92	remove TabooRect from Coach definition, PreWin uses it.
24-Jun-92	add balloon string index to kResRenoBtn and kResPreWinBtn
			add red_arrow MarkStyle to kResCoachMark for Coach 1.0d13.
			change under_line MarkStyle to red_underline.
			add optional key and data to kResEvent.
13-Jul-92	change "self" target from 'REno' to 'reno'.
15-Jul-92	add message target to kStartupScope (acSU)
			add "none" label for target in kResTopic and kResCoachMark.
24-Jul-92	add target to kResContext.
			standardize on labels for Coach, Context, and Event targets.
			labels are "none", "self", "front", and "topic".
31-Jul-92	change RenoResources.h to RenoData.h
09-Oct-92	added new RenoDB resource types.
			change "moveable" to "align" in kResPreWinBtn.
			revise kStartupScope.
			remove fill byte[30]; from coach mark menu item color.
			add kTargetReno to kResContext and kResEvent
16-Nov-92	GB Moved Context related stupff to ContextRezTypes.r in the Modules folder
28-Jan-93	Following formatting changes:
			 1. Follow every pstring with an align word to insure
			 	a resource with an even number of bytes.
			 2. kResFormat: remove field #2, the integer font ID number,
			 	add a pstring for the font name as the last field.
			 3. (No change to kStartupScope.)
			 	Rename kAppRelease as kAppReleaseMinSeqNum.
				Move kAppReleaseMinSeqNum from the kDataVersionBytes
				used in the database 'vers' resources
				to the seq.no. field of the kResVersionInfo resource.
			 4. kResTopic: add reserved fields.
			 5. kResTopic: replace the topic title pstring with a TEXT ID number.
			 6.	kResTopic: add a maximum panel height field.
			 7.	Add kResVersionInfo resource.
			 8.	kResCoachMark and kResEvent: Add Finder and TeachText as target labels.
			 9.	Replace Howdy STR# with TEXT resource (ID=1003 and 1004).
			10. Correct the RenoButton location offset (Radar #1043437.)
			11.	Update all templates (TMPL).
24-Feb-93	Changed black to myblack in coach's chalkboard resource definition to avoid
			conflict with ViewTypes.r define. (PVC)
12-Apr-93	Add invisible bit to kResKeyDump.
14-Apr-93	Added the attribute word to kAreasScope and kIndexScope to allow for invisible
			index terms.
24-May-93	Added the kHandlerMapResType resource.

// 05-Oct-93 1.1d1e10 <2.09> JRP
// Add kResSTxtJust.
// 22-Oct-93 1.1d1e10 <2.10> PVC
// Change to kResSTxtAlign.

// 08-May-94 1.2b13e2 	<3.01> JRP	Add Nevada as a message target option.
// 14-May-94 1.2b15e1 	<3.02> PVC	Add YOMI autosort bit to startupprefs resource.
// 04-Jun-94 1.2b17e2 	<3.03> PVC	Remove extra 'chlk' resource definition.
***********************************************************************/



// Resource types used by Reno data

#ifndef __RENODATATYPES__
#define __RENODATATYPES__

#ifndef __RENODATA__
	#include "RenoData.h"		// Common with .r files
#endif

		// TEXT Template

type 'TEXT' {
	string;
	align word;
};

		// Database version information

type kResVersionInfo {
	integer;			// Sequence number of oldest compatible Reno.
	pstring;			// Version string of oldest compatible Reno.
	pstring;			// Date this database was compiled with Rez.
	pstring;			// Time this database was compiled with Rez.
	align word;
};

		// AccWin Types

type kStartupScope {
	integer;					// AccWin (0) or PreWin (topic id number)
	integer;					// startup view if AccWin, see RenoData.h
	byte=0;						// reserved
	boolean;					// reserved
	boolean;					// reserved
	boolean;					// reserved
	boolean;					// reserved
	boolean;					// reserved
	boolean;					// reserved
	boolean;					// reserved
	boolean	autosortOn,			// if set, do YOMI version
			autosortOffYOMI;					
	integer;					// 0=open PreWin at lower-left, 1=center.
	integer;					// 0=send messages to RenoStat, 1=be quiet.
	integer;					// Reserved for future use.
	longint none=0,
			RenoStat1='RenS',
			RenoStat2='ReS2',
			Nevada='NvDa';		// Target signature for RenoStat messages
	pstring;					// look-for string
	align word;
};

				// Formats for the OLD (pre-1.0a6)
				// kAreasScope and kIndexScope
				// Here for reference since it IS produced
				// by the authoring tool, but the
				// conversion converts it to data-fork
				// keys and a kTopicResType and kQuestionResType.
				//
				// However, RenoTheApp still uses the constants for
				// kAreasScope and kIndexScope as database
				// scope parameters (not as resource types.)

type kAreasScope {
	integer = $$Countof(keys);
	array keys {
		pstring;			// topic area or index term
		align word;
		integer;			// filler to match kIndexScope
		integer = $$Countof(entities);
		array entities {
			byte;			// kResHeader id (1 to 255)
			byte;			// rank (1=first, 255=last)
			integer;		// kResTopicL id
			byte=0;			// reserved
			byte=0;			// reserved
			};
		};
};

type kIndexScope {
	integer = $$Countof(keys);
	array keys {
		pstring;			// topic area or index term
		align word;
		integer;			// zero is visible, non-zero invisible
		integer = $$Countof(entities);
		array entities {
			byte;			// kResHeader id (1 to 255)
			byte;			// rank (1=first, 255=last)
			integer;		// kResTopicL id
			byte=0;			// reserved
			byte=0;			// reserved
			};
		};
};

// kTopicScope does not exist as a resource.

// kResHeader removed 12-May-92, 1.0d1e23

type kResTopicL {
	integer;						// Presentation topic (acPT) id number
	pstring;						// text to display in list.
	align word;
};

		// ShowMe (Coach's Chalkboard)

type 'hBnd' {
		integer;			// Help Version 
		literal longint;	// Bundle Type 'hmnu','hrct','hdlg' 
		integer;			// ID of this type 
		integer;			// Index number 
};

		// Coach Mark resource
		//
		// We are passing a pascal-string for every key.
		// This requires the use of the "rct=" for the
		// first four characters of any rectangle.
		// The good side is that we can use ResEdit TMPL's.

type kResCoachMark {
	longint none=kTargetNone,		// target application signature
			self=kTargetSelf,
			front=kTargetFront,
			topic=kTargetTopic;
	longint balloon='ndex', location='mLoc',
			menu='mMrk', object='draw';			// event id
	integer = $$Countof(keys);
	array keys {
		switch {
			case Number:
				key longint='iNum';
				pstring;				// balloon or dialog or menu item number
			case Origin:
				key longint='oCon';		// origin reference for rectangle
				pstring topLeft="0", bottomLeft="1",
						topRight="2", bottomRight="3";
			case Rect:
				key longint='iRct';		// marking rectangle
				pstring;				// "rct=" top,left,bottom,right
			case Macro:
				key longint='lMac';		// location macro
				pstring GrowBox="GrowBox", ZoomBox="ZoomBox",
						CloseBox="CloseBox", TitleBar="TitleBar",
						BootDisk="BootDisk";
			case WindowName:
				key longint='wNam';
				pstring;					// window name
			case FrontWindow:
				key longint='wNam';
				pstring="__FRONTWINDOW__";	// window name
			case DesktopWindow:
				key longint='wNam';
				pstring="__DESKWINDOW__";	// window name
			case BalloonNumber:
				key longint='iNum';
				pstring;				// balloon item number
			case DialogItemNumber:
				key longint='iNum';
				pstring;				// dialog item number
			case MenuTitleName:
				key longint='mNam';
				pstring;				// menu title name
			case MenuTitleNumber:
				key longint='mNum';
				pstring;				// menu title number
			case MenuItemName:
				key longint='iNam';
				pstring;				// menu item name
			case MenuItemNumber:
				key longint='iNum';
				pstring;				// menu item number
			case ObjectName:
				key longint='iNam';
				pstring;				// menu item name
			case MarkStyle:
				key longint='sNam';
				pstring red_circle="default1",
						yellow_x="default2",
						red_underline="default3",
						red_arrow="default4";				// mark style name
			case MenuItemColor:
				key longint='mCol';
				pstring myblack="1", yellow="2",			// myblack instead of black
															// because black is defined in ViewTypes.r
						magenta="3", red="4", cyan="5",
						green="6", blue="7", white="8";		// menu item color number
			case MenuItemStyle:
				key longint='mFac';
				pstring cc_bold="1", cc_italic="2",
						cc_underline="4", cc_outline="8",
						cc_shadow="16", cc_condense="32",
						cc_extend="64";						// font style number
			case StyleOption:
				key longint='sOpt';
				pstring;				// "Lng=0,0,S,F" where S is start
										//				   and F is finish
										//		1=NW, 2=N, 3=NE, 4=E, 8=W
			}; // switch
		}; // array
		align word;
};

		// Topic "script" resource

type kResTopic {
	longint none=0;							// target application signature
	integer none=kNone, noButton=kNone,
			defaultButton=kDefault,
			huhButton=kHuhBtnId,
			goStartButton=kGoStartBtnId;	// optional button #1 id
	integer none=kNone, noButton=kNone,
			defaultButton=kDefault,
			huhButton=kHuhBtnId,
			goStartButton=kGoStartBtnId;	// optional button #2 id
	integer none=kNone, noButton=kNone,
			defaultButton=kDefault,
			huhButton=kHuhBtnId,
			goStartButton=kGoStartBtnId;	// optional button #3 id
	integer none=kNone, noMinimum=kNone,
			defaultMinimum=kNone;			// minimum panel height
	integer none=kNoMaxHeight, noMaximum=kNoMaxHeight,
			defaultMaximum=kNoMaxHeight;	// maximum panel height
	integer;								// topic title TEXT ID number
	integer;								// reserved field, always enter 0.
	integer;								// reserved field, always enter 0.
	integer;								// reserved field, always enter 0.
	integer = $$Countof(entries);
	array entries {
		longint;		// entry type
		longint;		// resource id or other
	};
};

		// Universal panel resource

// Universal panels are made up of one or more objects.
// The objects are:
//		Text		Stylized text that must be told where to go (Rect).
//		TextTag		Stylized text that knows where to go.
//		TextBody	Stylized text that knows where to go.
//		TextFull	Stylized text that knows where to go.
//		Graphic		A PICT that must be told where to go (Point).
//		GraphicFull	A PICT that knows where to go.
//		Prompt		Text selection and placement is automatic.
//		Control		Pushbutton, radio button, or checkbox.
//
// Text and Graphic have their own resources which contain
// the resource id for the content (TEXT/styl or PICT) and
// the location (Rect or Point).
//
// TextTag, TextBody, and TextFull need only the resource id
// for their TEXT/styl resources.
// GraphicFull needs only the resource id for the PICT resource.

type kResPanelUnivA {
	integer = $$CountOf(items);
	array items {
		longint;		// scope
		integer;		// resId (DBRef) for scope
	}; // array
}; // type

		// Text format resource - for full, tag, body, and custom text
		// The id's for these resources are pre-defined.
		// kPreFormatFull = 150		id for full text
		// kPreFormatTag = 151		id for tag text
		// kPreFormatBody = 152		id for body text
		// kPreFormatCustom = 153	id for custom text
		
			// justification
 			//		0		teFlushDefault	// flush according to the line direction
 			//		1		teCenter		// center justify
 			//		-1		teFlushRight	// flush right for all scripts
 			//		-2		teFlushLeft		// flush left for all scripts
			// font
			//		9839	Espy serif
			//		9840	Espy sans
			//		9841	Espy serif bold
			//		9842	Espy sans bold
			// face
			//		0		normal
			//		1		bold
			//		2		italic
			//		4		underline
			//		8		outline
			//		16		shadow
			//		32		condense
			//		64		extend
			// size
			//		10
			//		12
		// 29-Jan-93 1.0a14 JRP
		// Removed field #2, the integer font ID number, EG
		//	integer	espySerif=9839,
		//			espySans=9840,
		//			espySerifBold=9841,
		//			espySansBold=9842;		// font
		// Added a pstring for the font name as the last field.

type kResFormat {
	integer teFlushDefault=0,
			teCenter=1,
			teFlushRight=-1,
			teFlushLeft=-2;			// justification
	integer	normal=0;				// face
	integer;						// size
	integer;						// top
	integer;						// left
	integer;						// bottom
	integer;						// right
	pstring;						// font name
	align word;						//		Espy Serif, Espy Sans, Espy Serif Bold
};

		// Text item resources

type kResSTxt {
	integer;		// resId for TEXT/styl
	integer;		// top
	integer;		// left
	integer;		// bottom
	integer;		// right
};

type kResSTxtAlign {
	integer;		// resId for TEXT/styl
	integer;		// top
	integer;		// left
	integer;		// bottom
	integer;		// right
	integer;		// justification
};

		// Graphic item resource

type kResGraphic {
	integer;		// resId for PICT
	integer;		// top
	integer;		// left
};

		// Movie item resources
		// Define a kResMovie resource for kResMovie and kResMovieC objects.

type kResMovie {
	integer;		// top
	integer;		// left
	pstring;		// movie file name
	align word;
};

		// Ctrl item resource
		// The keys can be found in RenoData.h

type kResCtrlItem {
	switch {
		case PushButton:
			key int = pushButProcReno;
			integer active=0, inactive=255;
			integer	unchecked=0, checked=1;
			integer;	// top
			integer;	// left
			integer;	// bottom
			integer;	// right
			integer none=0;	// action, kResEvent Id number
			pstring;	// title
		case RadioButton:
			key int = radioButProcReno;
			integer active=0, inactive=255;
			integer	unchecked=0, checked=1;
			integer;	// top
			integer;	// left
			integer;	// bottom
			integer;	// right
			integer none=0;	// action, kResEvent Id number
			pstring;	// title
		case CheckBox:
			key int = checkBoxProcReno;
			integer active=0, inactive=255;
			integer	unchecked=0, checked=1;
			integer;	// top
			integer;	// left
			integer;	// bottom
			integer;	// right
			integer none=0;	// action, kResEvent Id number
			pstring;	// title
		case PushButtonSysFont:
			key int = pushButProcRenoSysFont;
			integer active=0, inactive=255;
			integer	unchecked=0, checked=1;
			integer;	// top
			integer;	// left
			integer;	// bottom
			integer;	// right
			integer none=0;	// action, kResEvent Id number
			pstring;	// title
		case RadioButtonSysFont:
			key int = radioButProcRenoSysFont;
			integer active=0, inactive=255;
			integer	unchecked=0, checked=1;
			integer;	// top
			integer;	// left
			integer;	// bottom
			integer;	// right
			integer none=0;	// action, kResEvent Id number
			pstring;	// title
		case CheckBoxSysFont:
			key int = checkBoxProcRenoSysFont;
			integer active=0, inactive=255;
			integer	unchecked=0, checked=1;
			integer;	// top
			integer;	// left
			integer;	// bottom
			integer;	// right
			integer none=0;	// action, kResEvent Id number
			pstring;	// title
	}; // switch
					// Every case ends with a pstring so
					// we'll put the align word here.
	align word;
}; // type

// Context Checking
// 24-May-92 1.0d1e26
// GB Moved to ContextRezTypes.r in the Modules folder

		// Apple Event
		
								// Use "self" to send an event to Reno.

type kResEvent {
	longint none=kTargetNone,		// target application signature
			self=kTargetSelf,
			front=kTargetFront,
			topic=kTargetTopic,
			reno=kTargetReno;
	longint;				// class
	longint none=0;			// event id
	integer none=0;			// optional short integer with key 'IOPT'
	longint none=0;			// optional key
	pstring none="";		// data for optional key
	align word;
};

		// Condition resource

type kResCondition {
	integer none=0, not=kNot;		// optional not or kNot
	integer update=kUpdate, dontUpdate=kDontUpdate;
	longint;			// type (EG kResCtrlItem, kResContext, kResCondition)
	integer;			// resId
	integer none=kNone, or=kOr, and=kAnd;	// logic
	integer none=0, not=kNot;		// optional not or kNot
	integer update=kUpdate, dontUpdate=kDontUpdate;
	longint none=0;		// type
	integer none=0;		// resId
};

		// Make-Sure resource

type kResMakeSure {
	integer;		// resource Id of kResCondition resource.
	integer;		// resource Id of kResTopic resource for Oops.
};

		// Prompt resource

type kResPrompt {
	integer;		// Id of first (beginning) TEXT/styl resource
	integer;		// Id of second (middle) TEXT/styl resource
	integer;		// Id of third (end) TEXT/styl resource
	integer;		// Id of fourth (choice) TEXT/styl resource
};

		// Hot panel area resource

type kResHot {
	integer;		// top
	integer;		// left
	integer;		// bottom
	integer;		// right
	integer none=0;	// action, kResEventId number
};

		// Reno button resource
		
			// This structure is the same as the
			// kResPreWinBtn structure.
			// The id number of this object must not be the
			// same as any kResCtrlItem object.

type kResRenoBtn {
	integer=1;				// (always momentary)
	integer;				// off-up PICT id
	integer;				// on-down PICT id
	integer=0;				// (dimmed not available)
	longint none=0;			// action, kResEvent id number
	integer=1;				// (not used, kResEvent is always immediate)
	integer;				// top of top-left corner location
	integer;				// left of top-left corner location
	integer=0;				// (always fixed)
	integer none=0;			// string index for Help Balloon text.
};

		// PreWin button resource
		
			// This button is not in the panel,
			// it is used to override the buttons along
			// the bottom of the presentation window.
			// This structure is the same as the
			// kResRenoBtn structure.
		
type kResPreWinBtn {
	integer=1;				// (always momentary)
	integer;				// off-up PICT id
	integer;				// on-down PICT id
	integer;				// dimmed
	longint none=0;			// action, kResEvent id number
	integer=1;				// (not used, kResEvent is always immediate)
	integer=0;				// top of top-left corner location is preset
	integer=0;				// left of top-left corner location is preset
	integer align=1,
			moveable=1,
			fixed=0;		// align (1) or fixed (0)
	integer none=0;			// string index for Help Balloon text.
};

				// New RenoDB types added for 1.0a6.

type kResKeyDump {
		literal longint;					// Content resource type
		integer;							// Content resource id
		byte = 0;							// High order flags reserved.
		boolean = 0;						// unused
		boolean = 0;						// unused
		boolean = 0;						// unused
		boolean = 0;						// unused
		boolean notInvisible, invisible;	// If the content is invisible to user.
		boolean notDeleted, deleted; 		// If the content is treated as deleted
		boolean notLocked, locked;			// If an author has locked the content
		boolean notUnique, makeUnique;		// If the content should be forced unique
		literal longint;					// Key Scope
		pstring;							// Key
		align word;
};

				// Format for the NEW kTopicResType
				// Here for reference since it is not produced
				// by the current authoring tool.

type kTopicResType
	{
	literal longint;	// Question Specifier
	pstring;			// topic area text
	align word;
	};
	
type kQuestionResType
	{
	byte = 0;							// High order flags word unused
	boolean = 0;						// unused
	boolean = 0;						// unused
	boolean = 0;						// unused
	boolean = 0;						// unused
	boolean = 0;		 				// unused
	boolean = 0;						// unused
	boolean notCollapsed, collapsed; 	// if this is a header, is it precollapsed?
	boolean notHeader, header;			// is this a question header?
	integer;			// presentation ('acPT') ID number
	pstring;			// variable length question text
	align word;
	};

type kHandlerMapResType {
	integer = $$CountOf(items);
	array items {
		literal longint;		// Resource data type
		literal longint;		// data handler name to use for the data
	};
};

#endif __RENODATATYPES__
